Update a suggestion for an auto-discovery invocation
PATCH/v1/ai/entities-auto-discovery/:invocation_id/suggestions/:entity_identifier
This route allows you to update a suggestion for an auto-discovery invocation. If a suggestion is not accurate, you can update it with the correct information.
To learn more about the auto-discovery feature, see the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string",
"pattern": "^[0-9a-f]{24}$"
},
"in": "path",
"name": "invocation_id",
"required": true,
"description": "The ID of the auto-discovery invocation returned by the create auto-discovery invocation endpoint."
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "entity_identifier",
"required": true,
"description": "The identifier of the entity to update the suggestion for."
}
]
}Request body schema (JSON)
{
"title": "Body",
"body": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"identifier": {
"nullable": true,
"type": "string"
},
"title": {
"nullable": true,
"type": "string"
},
"icon": {
"nullable": true,
"type": "string"
},
"properties": {
"type": "object",
"additionalProperties": {
"nullable": true
}
},
"relations": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"nullable": true,
"type": "string"
},
{
"type": "array",
"items": {
"type": "string"
}
}
]
}
}
}
}
}
}
}
}Responses
- 200
- 400
- 404
- 500
Default Response
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"entity": {
"type": "object",
"properties": {
"identifier": {
"type": "string"
},
"title": {
"type": "string"
},
"icon": {
"type": "string"
},
"properties": {
"type": "object",
"additionalProperties": {}
},
"relations": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"type": "string"
},
{
"type": "array",
"items": {
"type": "string"
}
}
]
}
}
},
"required": [
"identifier"
],
"additionalProperties": false
}
},
"required": [
"ok",
"entity"
],
"additionalProperties": false
}
}
}
},
"400": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
}
}
}